GDB (xrefs)

Functions
tui-regs.h File Reference
`#include "tui/tui-data.h"`

Go to the source code of this file.

## Functions
void | tui_check_register_values (struct frame_info *)
void | tui_show_registers (struct reggroup *group)
void | tui_display_registers_from (int)
int | tui_display_registers_from_line (int, int)
int | tui_last_regs_line_no (void)
int | tui_first_reg_element_inline (int)
int | tui_line_from_reg_element_no (int)
int | tui_first_reg_element_no_inline (int lineno)

## Function Documentation

## ◆ tui_check_register_values()

void tui_check_register_values | ( | struct frame_info * |  | ) |

Definition at line 486 of file tui-regs.c.

References tui_gen_win_info::content, tui_data_info::current_group, tui_which_element::data, tui_data_info::display_regs, tui_data_element::highlight, tui_data_element::item_no, tui_data_info::regs_content, tui_data_info::regs_content_count, TUI_DATA_WIN, tui_display_register(), tui_get_register(), tui_show_registers(), and tui_win_element::which_element.

Referenced by tui_check_data_values().

## ◆ tui_display_registers_from()

void tui_display_registers_from | ( | int |  | ) |

Definition at line 305 of file tui-regs.c.

References tui_gen_win_info::content, tui_data_element::content, tui_which_element::data, tui_which_element::data_window, DONT_BOX_WINDOW, tui_gen_win_info::handle, tui_gen_win_info::height, tui_gen_win_info::origin, tui_data_info::regs_column_count, tui_data_info::regs_content, tui_data_info::regs_content_count, TUI_DATA_WIN, tui_delete_win(), tui_display_register(), tui_make_window(), tui_gen_win_info::viewport_height, tui_win_element::which_element, tui_gen_win_info::width, tui_point::x, and tui_point::y.

Referenced by tui_display_all_data(), and tui_display_reg_element_at_line().

## ◆ tui_display_registers_from_line()

int tui_display_registers_from_line | ( | int | ,
|  | int |
| ) |  |

Definition at line 443 of file tui-regs.c.

References TUI_DATA_WIN, tui_display_reg_element_at_line(), tui_first_reg_element_no_inline(), tui_last_regs_line_no(), and tui_line_from_reg_element_no().

Referenced by tui_display_data_from_line().

## ◆ tui_first_reg_element_inline()

int tui_first_reg_element_inline | ( | int |  | ) |

## ◆ tui_first_reg_element_no_inline()

int tui_first_reg_element_no_inline | ( | int | lineno | ) |

Definition at line 117 of file tui-regs.c.

References TUI_DATA_WIN.

Referenced by tui_display_reg_element_at_line(), tui_display_registers_from_line(), and tui_first_data_element_no_in_line().

## ◆ tui_last_regs_line_no()

int tui_last_regs_line_no | ( | void |  | ) |

Definition at line 71 of file tui-regs.c.

References TUI_DATA_WIN.

Referenced by tui_display_data_from_line(), tui_display_reg_element_at_line(), and tui_display_registers_from_line().

## ◆ tui_line_from_reg_element_no()

int tui_line_from_reg_element_no | ( | int |  | ) |

Definition at line 91 of file tui-regs.c.

References TUI_DATA_WIN.

Referenced by tui_display_data_from(), tui_display_registers_from_line(), and tui_vertical_data_scroll().

## ◆ tui_show_registers()

void tui_show_registers | ( | struct reggroup * | group | ) |

Definition at line 132 of file tui-regs.c.

References tui_gen_win_info::content, tui_data_info::current_group, tui_which_element::data, DATA_NAME, tui_which_element::data_window, tui_data_info::display_regs, general_reggroup, get_selected_frame(), tui_data_element::highlight, NO_REGS_STRING, tui_data_info::regs_content, tui_data_info::regs_content_count, target_has_memory, target_has_registers, target_has_stack, TUI_DATA_WIN, tui_display_all_data(), tui_enable(), tui_erase_data_content(), TUI_FAILURE, tui_set_layout_by_name(), tui_show_register_group(), and tui_win_element::which_element.

Referenced by tui_check_register_values(), tui_reg_command(), and tui_set_layout().